Index: quintagroup.doublecolumndocument/tags/0.2/CHANGES.txt
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/CHANGES.txt	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/CHANGES.txt	(revision 380)
@@ -0,0 +1,22 @@
+Changelog
+=========
+
+0.2 (2008-10-15)
+------------------
+
+ - Made it compatible with plone 3
+   [piv]
+   
+ - Made it in zope 3/plone 3 way
+   [piv]
+   
+ - Made it as a python egg
+   [piv]
+
+ - Fixed css issues
+   [gvizdyk]
+
+ - Updated translations
+   [piv]
+   
+
Index: quintagroup.doublecolumndocument/tags/0.2/CONTRIBUTORS.txt
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/CONTRIBUTORS.txt	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/CONTRIBUTORS.txt	(revision 380)
@@ -0,0 +1,7 @@
+(c) "Quintagroup"
+
+  * Myroslav Opyr
+  * Andriy Mylenkyy
+  * Vitaliy Podoba
+  * Yuriy Hvozdovych
+
Index: quintagroup.doublecolumndocument/tags/0.2/MANIFEST.in
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/MANIFEST.in	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/MANIFEST.in	(revision 380)
@@ -0,0 +1,2 @@
+recursive-include quintagroup *
+global-exclude *pyc
Index: quintagroup.doublecolumndocument/tags/0.2/README.txt
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/README.txt	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/README.txt	(revision 380)
@@ -0,0 +1,16 @@
+quintagroup.doublecolumndocument
+================================
+
+Authors
+
+  *  Myroslav Opyr
+  *  Andriy Mylenkyy
+  *  Vitaliy Podoba
+  *  Yuriy Hvozdovych
+
+  "Product Homepage":http://quintagroup.com/services/plone-development/products/
+  "Download":http://sourceforge.net/projects/quintagroup
+
+  (c) "Quintagroup":http://quintagroup.com/ , 2008. 
+
+  support@quintagroup.com * quintessence of modern business
Index: quintagroup.doublecolumndocument/tags/0.2/docs/HISTORY.txt
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/docs/HISTORY.txt	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/docs/HISTORY.txt	(revision 380)
@@ -0,0 +1,57 @@
+0.2
+
+   1. Made it compatible with plone 3
+   
+   2. Made it in zope 3/plone 3 way
+   
+   3. Made it as a python egg
+   
+   4. Updated translations
+   
+   5. Fixed a few css issues
+
+0.1.5
+   1. Added "visualClear" div in view template.
+
+0.1.4
+   1. DoubleColumnDocument moved to ATCT. 
+      Tested on Plone 2.5
+
+0.1.3
+
+   1. Miscellaneous cleanups in HISTORY.txt, 
+      doublecolumndocument_view.pt, 
+      DoubleColumnDocument.py.
+
+0.1.2
+
+   1. Review translation widget's properties of 
+      <description> field of DoubleColumnDocument 
+      class.
+
+   2. Add i18n translation to product with 
+      Spanish, Argentine-Spanish languages.
+     
+     
+0.1.1
+
+   1. Renamed Dou"d"leColumnDocument to 
+      Dou"b"leColumnDocument 
+
+   2. In DoubleColumnDocument class, in schema 
+      attribute BaseFolderSchema to BaseSchema
+
+   3. In 
+      DoubleColumnDocument/skins/doublecolumndocument/doublecolumndocument_view.pt 
+      revewed for correct rendering of different 
+      mimetype content in view mode
+
+   4. Updated propertied of Body1 & Body2 fields.
+
+   5. Add i18n translation to product with Ukrainian
+      languages
+        
+
+0.1
+
+   basic functionality
Index: quintagroup.doublecolumndocument/tags/0.2/docs/INSTALL.txt
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/docs/INSTALL.txt	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/docs/INSTALL.txt	(revision 380)
@@ -0,0 +1,52 @@
+quintagroup.doublecolumndocument Installation
+==========================
+
+To install quintagroup.doublecolumndocument into the global Python environment (or a workingenv),
+using a traditional Zope 2 instance, you can do this:
+
+ * When you're reading this you have probably already run 
+   ``easy_install quintagroup.doublecolumndocument``. Find out how to install setuptools
+   (and EasyInstall) here:
+   http://peak.telecommunity.com/DevCenter/EasyInstall
+
+ * If you are using Zope 2.9 (not 2.10), get `pythonproducts`_ and install it 
+   via::
+
+       python setup.py install --home /path/to/instance
+
+   into your Zope instance.
+
+ * Create a file called ``quintagroup.doublecolumndocument-configure.zcml`` in the
+   ``/path/to/instance/etc/package-includes`` directory.  The file
+   should only contain this::
+
+       <include package="quintagroup.doublecolumndocument" />
+
+.. _pythonproducts: http://plone.org/products/pythonproducts
+
+
+Alternatively, if you are using zc.buildout and the plone.recipe.zope2instance
+recipe to manage your project, you can do this:
+
+ * Add ``quintagroup.doublecolumndocument`` to the list of eggs to install, e.g.:
+ 
+    [buildout]
+    ...
+    eggs =
+        ...
+        quintagroup.doublecolumndocument
+        
+  * Tell the plone.recipe.zope2instance recipe to install a ZCML slug:
+  
+    [instance]
+    recipe = plone.recipe.zope2instance
+    ...
+    zcml =
+        quintagroup.doublecolumndocument
+        
+  * Re-run buildout, e.g. with:
+  
+    $ ./bin/buildout
+        
+You can skip the ZCML slug if you are going to explicitly include the package
+from another package's configure.zcml file.
Index: quintagroup.doublecolumndocument/tags/0.2/docs/LICENSE.GPL
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/docs/LICENSE.GPL	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/docs/LICENSE.GPL	(revision 380)
@@ -0,0 +1,225 @@
+		    GNU GENERAL PUBLIC LICENSE
+   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
+
+  0. This License applies to any program or other work which contains
+a notice placed by the copyright holder saying it may be distributed
+under the terms of this General Public License.  The "Program", below,
+refers to any such program or work, and a "work based on the Program"
+means either the Program or any derivative work under copyright law:
+that is to say, a work containing the Program or a portion of it,
+either verbatim or with modifications and/or translated into another
+language.  (Hereinafter, translation is included without limitation in
+the term "modification".)  Each licensee is addressed as "you".
+
+Activities other than copying, distribution and modification are not
+covered by this License; they are outside its scope.  The act of
+running the Program is not restricted, and the output from the Program
+is covered only if its contents constitute a work based on the
+Program (independent of having been made by running the Program).
+Whether that is true depends on what the Program does.
+
+  1. You may copy and distribute verbatim copies of the Program's
+source code as you receive it, in any medium, provided that you
+conspicuously and appropriately publish on each copy an appropriate
+copyright notice and disclaimer of warranty; keep intact all the
+notices that refer to this License and to the absence of any warranty;
+and give any other recipients of the Program a copy of this License
+along with the Program.
+
+You may charge a fee for the physical act of transferring a copy, and
+you may at your option offer warranty protection in exchange for a fee.
+
+  2. You may modify your copy or copies of the Program or any portion
+of it, thus forming a work based on the Program, and copy and
+distribute such modifications or work under the terms of Section 1
+above, provided that you also meet all of these conditions:
+
+    a) You must cause the modified files to carry prominent notices
+    stating that you changed the files and the date of any change.
+
+    b) You must cause any work that you distribute or publish, that in
+    whole or in part contains or is derived from the Program or any
+    part thereof, to be licensed as a whole at no charge to all third
+    parties under the terms of this License.
+
+    c) If the modified program normally reads commands interactively
+    when run, you must cause it, when started running for such
+    interactive use in the most ordinary way, to print or display an
+    announcement including an appropriate copyright notice and a
+    notice that there is no warranty (or else, saying that you provide
+    a warranty) and that users may redistribute the program under
+    these conditions, and telling the user how to view a copy of this
+    License.  (Exception: if the Program itself is interactive but
+    does not normally print such an announcement, your work based on
+    the Program is not required to print an announcement.)
+
+
+These requirements apply to the modified work as a whole.  If
+identifiable sections of that work are not derived from the Program,
+and can be reasonably considered independent and separate works in
+themselves, then this License, and its terms, do not apply to those
+sections when you distribute them as separate works.  But when you
+distribute the same sections as part of a whole which is a work based
+on the Program, the distribution of the whole must be on the terms of
+this License, whose permissions for other licensees extend to the
+entire whole, and thus to each and every part regardless of who wrote it.
+
+Thus, it is not the intent of this section to claim rights or contest
+your rights to work written entirely by you; rather, the intent is to
+exercise the right to control the distribution of derivative or
+collective works based on the Program.
+
+In addition, mere aggregation of another work not based on the Program
+with the Program (or with a work based on the Program) on a volume of
+a storage or distribution medium does not bring the other work under
+the scope of this License.
+
+  3. You may copy and distribute the Program (or a work based on it,
+under Section 2) in object code or executable form under the terms of
+Sections 1 and 2 above provided that you also do one of the following:
+
+    a) Accompany it with the complete corresponding machine-readable
+    source code, which must be distributed under the terms of Sections
+    1 and 2 above on a medium customarily used for software interchange; or,
+
+    b) Accompany it with a written offer, valid for at least three
+    years, to give any third party, for a charge no more than your
+    cost of physically performing source distribution, a complete
+    machine-readable copy of the corresponding source code, to be
+    distributed under the terms of Sections 1 and 2 above on a medium
+    customarily used for software interchange; or,
+
+    c) Accompany it with the information you received as to the offer
+    to distribute corresponding source code.  (This alternative is
+    allowed only for noncommercial distribution and only if you
+    received the program in object code or executable form with such
+    an offer, in accord with Subsection b above.)
+
+The source code for a work means the preferred form of the work for
+making modifications to it.  For an executable work, complete source
+code means all the source code for all modules it contains, plus any
+associated interface definition files, plus the scripts used to
+control compilation and installation of the executable.  However, as a
+special exception, the source code distributed need not include
+anything that is normally distributed (in either source or binary
+form) with the major components (compiler, kernel, and so on) of the
+operating system on which the executable runs, unless that component
+itself accompanies the executable.
+
+If distribution of executable or object code is made by offering
+access to copy from a designated place, then offering equivalent
+access to copy the source code from the same place counts as
+distribution of the source code, even though third parties are not
+compelled to copy the source along with the object code.
+
+
+  4. You may not copy, modify, sublicense, or distribute the Program
+except as expressly provided under this License.  Any attempt
+otherwise to copy, modify, sublicense or distribute the Program is
+void, and will automatically terminate your rights under this License.
+However, parties who have received copies, or rights, from you under
+this License will not have their licenses terminated so long as such
+parties remain in full compliance.
+
+  5. You are not required to accept this License, since you have not
+signed it.  However, nothing else grants you permission to modify or
+distribute the Program or its derivative works.  These actions are
+prohibited by law if you do not accept this License.  Therefore, by
+modifying or distributing the Program (or any work based on the
+Program), you indicate your acceptance of this License to do so, and
+all its terms and conditions for copying, distributing or modifying
+the Program or works based on it.
+
+  6. Each time you redistribute the Program (or any work based on the
+Program), the recipient automatically receives a license from the
+original licensor to copy, distribute or modify the Program subject to
+these terms and conditions.  You may not impose any further
+restrictions on the recipients' exercise of the rights granted herein.
+You are not responsible for enforcing compliance by third parties to
+this License.
+
+  7. If, as a consequence of a court judgment or allegation of patent
+infringement or for any other reason (not limited to patent issues),
+conditions are imposed on you (whether by court order, agreement or
+otherwise) that contradict the conditions of this License, they do not
+excuse you from the conditions of this License.  If you cannot
+distribute so as to satisfy simultaneously your obligations under this
+License and any other pertinent obligations, then as a consequence you
+may not distribute the Program at all.  For example, if a patent
+license would not permit royalty-free redistribution of the Program by
+all those who receive copies directly or indirectly through you, then
+the only way you could satisfy both it and this License would be to
+refrain entirely from distribution of the Program.
+
+If any portion of this section is held invalid or unenforceable under
+any particular circumstance, the balance of the section is intended to
+apply and the section as a whole is intended to apply in other
+circumstances.
+
+It is not the purpose of this section to induce you to infringe any
+patents or other property right claims or to contest validity of any
+such claims; this section has the sole purpose of protecting the
+integrity of the free software distribution system, which is
+implemented by public license practices.  Many people have made
+generous contributions to the wide range of software distributed
+through that system in reliance on consistent application of that
+system; it is up to the author/donor to decide if he or she is willing
+to distribute software through any other system and a licensee cannot
+impose that choice.
+
+This section is intended to make thoroughly clear what is believed to
+be a consequence of the rest of this License.
+
+
+  8. If the distribution and/or use of the Program is restricted in
+certain countries either by patents or by copyrighted interfaces, the
+original copyright holder who places the Program under this License
+may add an explicit geographical distribution limitation excluding
+those countries, so that distribution is permitted only in or among
+countries not thus excluded.  In such case, this License incorporates
+the limitation as if written in the body of this License.
+
+  9. The Free Software Foundation may publish revised and/or new versions
+of the General Public License from time to time.  Such new versions will
+be similar in spirit to the present version, but may differ in detail to
+address new problems or concerns.
+
+Each version is given a distinguishing version number.  If the Program
+specifies a version number of this License which applies to it and "any
+later version", you have the option of following the terms and conditions
+either of that version or of any later version published by the Free
+Software Foundation.  If the Program does not specify a version number of
+this License, you may choose any version ever published by the Free Software
+Foundation.
+
+  10. If you wish to incorporate parts of the Program into other free
+programs whose distribution conditions are different, write to the author
+to ask for permission.  For software which is copyrighted by the Free
+Software Foundation, write to the Free Software Foundation; we sometimes
+make exceptions for this.  Our decision will be guided by the two goals
+of preserving the free status of all derivatives of our free software and
+of promoting the sharing and reuse of software generally.
+
+			    NO WARRANTY
+
+  11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
+FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN
+OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
+PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
+OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
+TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
+PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
+REPAIR OR CORRECTION.
+
+  12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
+WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
+REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
+INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
+OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
+TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
+YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
+PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
+POSSIBILITY OF SUCH DAMAGES.
+
+		     END OF TERMS AND CONDITIONS
Index: quintagroup.doublecolumndocument/tags/0.2/docs/LICENSE.txt
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/docs/LICENSE.txt	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/docs/LICENSE.txt	(revision 380)
@@ -0,0 +1,16 @@
+  quintagroup.doublecolumndocument is copyright (c) "Quintagroup"
+
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 2 of the License, or
+  (at your option) any later version.
+
+  This program is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+  GNU General Public License for more details.
+
+  You should have received a copy of the GNU General Public License
+  along with this program; if not, write to the Free Software
+  Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
+  MA 02111-1307 USA.
Index: quintagroup.doublecolumndocument/tags/0.2/quintagroup/__init__.py
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/quintagroup/__init__.py	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/quintagroup/__init__.py	(revision 380)
@@ -0,0 +1,6 @@
+# See http://peak.telecommunity.com/DevCenter/setuptools#namespace-packages
+try:
+    __import__('pkg_resources').declare_namespace(__name__)
+except ImportError:
+    from pkgutil import extend_path
+    __path__ = extend_path(__path__, __name__)
Index: quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/README.txt
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/README.txt	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/README.txt	(revision 380)
@@ -0,0 +1,16 @@
+quintagroup.doublecolumndocument
+================================
+
+Authors
+
+  *  Myroslav Opyr
+  *  Andriy Mylenkyy
+  *  Vitaliy Podoba
+  *  Yuriy Hvozdovych
+
+  "Package Homepage":http://quintagroup.com/services/plone-development/products/
+  "Download":http://sourceforge.net/projects/quintagroup
+
+  (c) "Quintagroup":http://quintagroup.com/ , 2008. 
+
+  support@quintagroup.com * quintessence of modern business
Index: quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/__init__.py
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/__init__.py	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/__init__.py	(revision 380)
@@ -0,0 +1,30 @@
+from zope.i18nmessageid import MessageFactory
+from quintagroup.doublecolumndocument import config
+
+from Products.Archetypes import atapi
+from Products.CMFCore import utils
+
+doublecolumndocumentMessageFactory = MessageFactory('quintagroup.doublecolumndocument')
+
+def initialize(context):
+    """Initializer called when used as a Zope 2 product.
+
+    This is referenced from configure.zcml. Regstrations as a "Zope 2 product"
+    is necessary for GenericSetup profiles to work, for example.
+
+    Here, we call the Archetypes machinery to register our content types
+    with Zope and the CMF.
+    """
+
+    import content
+
+    content_types, constructors, ftis = atapi.process_types(
+        atapi.listTypes(config.PROJECTNAME),
+        config.PROJECTNAME)
+
+    for atype, constructor in zip(content_types, constructors):
+        utils.ContentInit('%s: %s' % (config.PROJECTNAME, atype.portal_type),
+            content_types      = (atype,),
+            permission         = config.ADD_PERMISSIONS[atype.portal_type],
+            extra_constructors = (constructor,),
+            ).initialize(context)
Index: quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/browser/__init__.py
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/browser/__init__.py	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/browser/__init__.py	(revision 380)
@@ -0,0 +1,1 @@
+#
Index: quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/browser/configure.zcml
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/browser/configure.zcml	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/browser/configure.zcml	(revision 380)
@@ -0,0 +1,19 @@
+<configure
+    xmlns="http://namespaces.zope.org/zope"
+    xmlns:browser="http://namespaces.zope.org/browser"
+    i18n_domain="quintagroup.doublecolumndocument">
+
+    <browser:page
+        for="quintagroup.doublecolumndocument.content.interfaces.IDoubleColumnDocument"
+        template="doublecolumndocument_view.pt"
+        permission="zope2.View"
+        name="doublecolumndocument_view"
+        />
+
+    <!-- Resource registration -->
+    <browser:resource
+        name="doublecolumndocument.css"
+        file="resources/doublecolumndocument.css"
+        />
+
+</configure>
Index: quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/browser/doublecolumndocument_view.pt
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/browser/doublecolumndocument_view.pt	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/browser/doublecolumndocument_view.pt	(revision 380)
@@ -0,0 +1,58 @@
+<html xmlns="http://www.w3.org/1999/xhtml"
+      xml:lang="en-US" lang="en-US"
+      xmlns:tal="http://xml.zope.org/namespaces/tal"
+      xmlns:metal="http://xml.zope.org/namespaces/metal"
+      xmlns:i18n="http://xml.zope.org/namespaces/i18n"
+      metal:use-macro="context/main_template/macros/master"
+      i18n:domain="quintagroup.doublecolumndocument">
+
+<body>
+
+<metal:main fill-slot="main">
+    <tal:main-macro metal:define-macro="main">
+        <div tal:replace="structure provider:plone.abovecontenttitle" />
+
+        <h1 class="documentFirstHeading">
+            <metal:field use-macro="python:context.widget('title', mode='view')">
+            Title
+            </metal:field>
+        </h1>
+
+        <div tal:replace="structure provider:plone.belowcontenttitle" />
+        <div tal:replace="structure provider:plone.abovecontentbody" />
+
+        <p class="documentDescription">
+            <metal:field use-macro="python:context.widget('description', mode='view')">
+            Description
+            </metal:field>
+        </p>
+
+	<div class="contentColumnOneTwo">
+            <div class="contentColumnOne">
+                <div class="visualPaddingColumn"
+                     tal:condition="context/body1">
+                    <metal:field use-macro="python:context.widget('body1', mode='view')">
+                    Body text 1
+                    </metal:field>
+                </div>
+            </div>
+
+	    <div class="contentColumnTwo">
+    	        <div class="visualPaddingColumn"
+                     tal:condition="context/body2">
+                    <metal:field use-macro="python:context.widget('body2', mode='view')">
+                    Body text 2
+                    </metal:field>
+                </div>
+            </div>
+	</div>
+
+        <div class="visualClear" id="clear-after-doublecolumn-document"><!-- --></div>
+
+        <div tal:replace="structure provider:plone.belowcontentbody" />
+
+    </tal:main-macro>
+</metal:main>
+
+</body>
+</html>
Index: quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/browser/resources/doublecolumndocument.css
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/browser/resources/doublecolumndocument.css	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/browser/resources/doublecolumndocument.css	(revision 380)
@@ -0,0 +1,36 @@
+/* Double Column Document styles */
+
+.documentContent {
+  //height:1%;
+  }
+.contentColumnOneTwo { 
+  clear:both; 
+  //overflow-x:hidden;  
+  //padding-right:1px; 
+  width:100%; 
+  }
+.contentColumnOne { 
+  float:left; 
+  width:50%;
+  }
+.contentColumnOne .visualPaddingColumn {
+  padding-right:1em;
+  }
+.contentColumnTwo { 
+  float:left; 
+  width:50%;
+  }
+.contentColumnTwo .visualPaddingColumn {
+  padding-left:1em;
+  }
+#archetypes-fieldname-body1,
+#archetypes-fieldname-body2 {
+  clear:none;
+  float:left;
+  margin:0;
+  width:50%;
+  }
+#kss-inlineform-body1 #archetypes-fieldname-body1, 
+#kss-inlineform-body2 #archetypes-fieldname-body2 {
+  width:100%;
+  }
Index: quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/config.py
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/config.py	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/config.py	(revision 380)
@@ -0,0 +1,9 @@
+from Products.CMFCore import permissions
+
+PROJECTNAME = 'quintagroup.doublecolumndocument'
+
+
+ADD_PERMISSIONS = {
+    'DoubleColumnDocument' : permissions.AddPortalContent,
+    # -*- extra stuff goes here -*-
+}
Index: quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/configure.zcml
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/configure.zcml	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/configure.zcml	(revision 380)
@@ -0,0 +1,23 @@
+<configure
+    xmlns="http://namespaces.zope.org/zope"
+    xmlns:five="http://namespaces.zope.org/five"
+    xmlns:genericsetup="http://namespaces.zope.org/genericsetup"
+    i18n_domain="quintagroup.doublecolumndocument">
+
+    <five:registerPackage package="." initialize=".initialize" />
+
+    <!-- Include the sub-packages that use their own configure.zcml files. -->
+    <include package=".browser" />
+    <include package=".content" />
+
+    <!-- Register the installation GenericSetup extension profile -->
+    <genericsetup:registerProfile
+      name="default"
+      title="Double Column Document"
+      directory="profiles/default"
+      description="Extends Document with one more extra column"
+      provides="Products.GenericSetup.interfaces.EXTENSION"
+      />
+
+
+</configure>
Index: quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/content/__init__.py
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/content/__init__.py	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/content/__init__.py	(revision 380)
@@ -0,0 +1,1 @@
+from doublecolumndocument import DoubleColumnDocument
Index: quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/content/configure.zcml
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/content/configure.zcml	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/content/configure.zcml	(revision 380)
@@ -0,0 +1,18 @@
+<configure
+    xmlns="http://namespaces.zope.org/zope"
+    xmlns:five="http://namespaces.zope.org/five"
+    i18n_domain="quintagroup.doublecolumndocument">
+
+    <class class=".doublecolumndocument.DoubleColumnDocument">
+        <require
+            permission="zope2.View"
+            interface=".interfaces.IDoubleColumnDocument"
+            />
+        <require
+            permission="cmf.ModifyPortalContent"
+            set_schema=".interfaces.IDoubleColumnDocument"
+            />
+    </class>
+
+
+</configure>
Index: quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/content/doublecolumndocument.py
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/content/doublecolumndocument.py	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/content/doublecolumndocument.py	(revision 380)
@@ -0,0 +1,80 @@
+from zope.interface import implements
+
+from Products.Archetypes.atapi import *
+from Products.ATContentTypes.atct import *
+from Products.ATContentTypes.configuration import zconf
+
+from Products.CMFPlone import PloneMessageFactory as _pmf
+
+from quintagroup.doublecolumndocument import doublecolumndocumentMessageFactory as _
+from quintagroup.doublecolumndocument import config
+from interfaces import IDoubleColumnDocument
+
+DoubleColumnDocumentSchema = ATContentTypeSchema.copy() + Schema((
+
+    # overrides ExtensibleMetadataSchema "description" field
+    TextField("description",
+        default="",
+        searchable=True,
+        storage=AnnotationStorage(),
+        widget=TextAreaWidget(
+            label=_pmf(u"label_description", default=u"Description"),
+            description=_pmf(u"help_description", default=u"A brief description of the item."),
+            rows = 3
+        ),
+    ),
+
+    TextField("body1",
+        schemata=_(u"Columns"),
+        default="",
+        searchable=True,
+        validators=("isTidyHtmlWithCleanup",),
+        default_output_type="text/x-html-safe",
+        allowable_content_types=zconf.ATDocument.allowed_content_types,
+        storage=AnnotationStorage(),
+        widget=RichWidget(
+            label=_(u"label_body-1_text", default=u"Body 1 text"),
+            description=_(u"help_body-1_text", default=u"The body 1 text of the document."),
+            rows=25
+        ),
+    ),
+
+    TextField("body2",
+        schemata=_(u"Columns"),
+        default="",
+        searchable=True,
+        validators=("isTidyHtmlWithCleanup",),
+        default_output_type="text/x-html-safe",
+        allowable_content_types=zconf.ATDocument.allowed_content_types,
+        storage=AnnotationStorage(),
+        widget=RichWidget(
+            label = _(u"label_body-2_text", default=u"Body 2 text"),
+            description = _(u"help_body-2_text", u"The body 2 text of the document."),
+            rows = 25
+        ),
+    )
+
+))
+
+
+DoubleColumnDocumentSchema["title"].storage = AnnotationStorage()
+
+class DoubleColumnDocument(ATCTContent):
+    """Double Column Document"""
+
+    implements(IDoubleColumnDocument)
+
+    portal_type = "DoubleColumnDocument"
+
+    #_at_rename_after_creation = True
+
+    schema = DoubleColumnDocumentSchema
+
+    title = ATFieldProperty("title")
+    description = ATFieldProperty("description")
+
+    body1 = ATFieldProperty("body1")
+    body2 = ATFieldProperty("body2")
+
+
+registerType(DoubleColumnDocument, config.PROJECTNAME)
Index: quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/content/interfaces.py
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/content/interfaces.py	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/content/interfaces.py	(revision 380)
@@ -0,0 +1,14 @@
+from zope import schema
+from zope.interface import Interface
+
+from Products.CMFPlone import PloneMessageFactory as _pmf
+
+from quintagroup.doublecolumndocument import doublecolumndocumentMessageFactory as _
+
+class IDoubleColumnDocument(Interface):
+
+    title = schema.TextLine(title=_pmf(u"label_title", default=u"Product title"), required=True)
+    description = schema.TextLine(title=_pmf(u"label_description", default=u"A brief description of the item."))
+
+    body1 = schema.SourceText(title=_(u"label_body-1_text", default=u"Body 1 text"))
+    body2 = schema.SourceText(title=_(u"label_body-2_text", default=u'Body 2 text'))
Index: quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/i18n/quintagroup.doublecolumndocument-uk.po
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/i18n/quintagroup.doublecolumndocument-uk.po	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/i18n/quintagroup.doublecolumndocument-uk.po	(revision 380)
@@ -0,0 +1,49 @@
+msgid ""
+msgstr ""
+"Project-Id-Version: quintagroup.doublecolumndocument 0.2\n"
+"POT-Creation-Date: 2008-10-15 11:09+0000\n"
+"PO-Revision-Date: 2008-10-15 11:22+0000\n"
+"Last-Translator: Vitaliy Podoba piv@quintagroup.com\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0\n"
+"Language-Code: uk\n"
+"Language-Name: Українська\n"
+"Preferred-Encodings: utf-8 koi8-u windows-1251\n"
+"Domain: quintagroup.doublecolumndocument\n"
+
+#. Default: "Double Column Document"
+#: ./profiles/default/types/DoubleColumnDocument.xml
+msgid "Double Column Document"
+msgstr "Двоколоночний Документ"
+
+#. Default: "Extends standard document with one more extra column."
+#: ./profiles/default/types/DoubleColumnDocument.xml
+msgid "Extends standard document with one more extra column."
+msgstr "Додає одну додаткову колонку до стандартного документа."
+
+#. Default: "The body 1 text of the document."
+#: ./content/doublecolumndocument.py:38
+msgid "help_body-1_text"
+msgstr "Вміст текстового поля 1"
+
+#. Default: "The body 2 text of the document."
+#: ./content/doublecolumndocument.py:53
+msgid "help_body-2_text"
+msgstr "Вміст текстового поля 2"
+
+#. Default: "Body 1 text"
+#: ./content/doublecolumndocument.py:37
+msgid "label_body-1_text"
+msgstr "Текстове поле 1"
+
+#. Default: "Body 2 text"
+#: ./content/doublecolumndocument.py:52
+msgid "label_body-2_text"
+msgstr "Текстове поле 2"
+
+#: ./content/doublecolumndocument.py:28
+msgid "Columns"
+msgstr "Колонки"
Index: quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/i18n/quintagroup.doublecolumndocument.pot
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/i18n/quintagroup.doublecolumndocument.pot	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/i18n/quintagroup.doublecolumndocument.pot	(revision 380)
@@ -0,0 +1,49 @@
+msgid ""
+msgstr ""
+"Project-Id-Version: quintagroup.doublecolumndocument 0.2\n"
+"POT-Creation-Date: 2008-10-15 11:09+0000\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI +ZONE\n"
+"Last-Translator: Vitaliy Podoba piv@quintagroup.com\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0\n"
+"Language-Code: en\n"
+"Language-Name: English\n"
+"Preferred-Encodings: utf-8 latin1\n"
+"Domain: quintagroup.doublecolumndocument\n"
+
+#. Default: "Double Column Document"
+#: ./profiles/default/types/DoubleColumnDocument.xml
+msgid "Double Column Document"
+msgstr ""
+
+#. Default: "Extends standard document with one more extra column."
+#: ./profiles/default/types/DoubleColumnDocument.xml
+msgid "Extends standard document with one more extra column."
+msgstr ""
+
+#. Default: "The body 1 text of the document."
+#: ./content/doublecolumndocument.py:38
+msgid "help_body-1_text"
+msgstr ""
+
+#. Default: "The body 2 text of the document."
+#: ./content/doublecolumndocument.py:53
+msgid "help_body-2_text"
+msgstr ""
+
+#. Default: "Body 1 text"
+#: ./content/doublecolumndocument.py:37
+msgid "label_body-1_text"
+msgstr ""
+
+#. Default: "Body 2 text"
+#: ./content/doublecolumndocument.py:52
+msgid "label_body-2_text"
+msgstr ""
+
+#: ./content/doublecolumndocument.py:28
+msgid "Columns"
+msgstr ""
Index: quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/profiles/default/cssregistry.xml
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/profiles/default/cssregistry.xml	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/profiles/default/cssregistry.xml	(revision 380)
@@ -0,0 +1,6 @@
+<?xml version="1.0"?>
+<object name="portal_css" meta_type="Stylesheets Registry">
+ <stylesheet title="Double Column Document" cacheable="True" compression="safe" cookable="True"
+    enabled="1" expression="" id="++resource++doublecolumndocument.css" media="all"
+    rel="stylesheet" rendering="import"/>
+</object>
Index: quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/profiles/default/factorytool.xml
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/profiles/default/factorytool.xml	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/profiles/default/factorytool.xml	(revision 380)
@@ -0,0 +1,6 @@
+<?xml version="1.0"?>
+<object name="portal_factory" meta_type="Plone Factory Tool">
+ <factorytypes>
+  <type portal_type="DoubleColumnDocument" />
+ </factorytypes>
+</object>
Index: quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/profiles/default/metadata.xml
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/profiles/default/metadata.xml	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/profiles/default/metadata.xml	(revision 380)
@@ -0,0 +1,4 @@
+<?xml version="1.0"?>
+<metadata>
+  <version>0.2</version>
+</metadata>
Index: quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/profiles/default/types.xml
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/profiles/default/types.xml	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/profiles/default/types.xml	(revision 380)
@@ -0,0 +1,5 @@
+<?xml version="1.0"?>
+<object name="portal_types" meta_type="Plone Types Tool">
+ <object name="DoubleColumnDocument"
+    meta_type="Factory-based Type Information with dynamic views"/>
+</object>
Index: quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/profiles/default/types/DoubleColumnDocument.xml
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/profiles/default/types/DoubleColumnDocument.xml	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/quintagroup/doublecolumndocument/profiles/default/types/DoubleColumnDocument.xml	(revision 380)
@@ -0,0 +1,58 @@
+<?xml version="1.0"?>
+<object name="DoubleColumnDocument" meta_type="Factory-based Type Information with dynamic views"
+   i18n:domain="quintagroup.doublecolumndocument" xmlns:i18n="http://xml.zope.org/namespaces/i18n">
+
+ <property name="title" i18n:translate="">Double Column Document</property>
+ <property name="description"
+     i18n:translate="">Extends standard document with one more extra column.</property>
+ <property name="content_icon">document_icon.gif</property>
+ <property name="content_meta_type">DoubleColumnDocument</property>
+ <property name="product">quintagroup.doublecolumndocument</property>
+ <property name="factory">addDoubleColumnDocument</property>
+ <property name="immediate_view">doublecolumndocument_view</property>
+ <property name="global_allow">True</property>
+ <property name="filter_content_types">False</property>
+ <property name="allowed_content_types"/>
+ <property name="allow_discussion">True</property>
+ <property name="default_view">doublecolumndocument_view</property>
+ <property name="view_methods">
+  <element value="doublecolumndocument_view"/>
+ </property>
+
+ <alias from="(Default)" to="doublecolumndocument_view"/>
+ <alias from="edit" to="base_edit"/>
+ <alias from="view" to="doublecolumndocument_view"/>
+
+ <action title="View"
+         action_id="view"
+         category="object"
+         condition_expr=""
+         url_expr="string:${object_url}/view"
+         visible="True"
+         i18n:domain="plone"
+         i18n:attributes="title">
+  <permission value="View"/>
+ </action>
+ <action title="Edit"
+         action_id="edit"
+         category="object"
+         condition_expr="not:object/@@plone_lock_info/is_locked_for_current_user|python:True"
+         url_expr="string:${object_url}/edit"
+         visible="True"
+         i18n:domain="plone"
+         i18n:attributes="title">
+  <permission value="Modify portal content"/>
+ </action>
+ <action title="References"
+         action_id="references"
+         category="object"
+         condition_expr="object/archetype_tool/has_graphviz"
+         url_expr="string:${object_url}/reference_graph"
+         visible="False"
+         i18n:domain="plone"
+         i18n:attributes="title">
+  <permission value="Modify portal content"/>
+  <permission value="Review portal content"/>
+ </action>
+
+</object>
Index: quintagroup.doublecolumndocument/tags/0.2/setup.cfg
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/setup.cfg	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/setup.cfg	(revision 380)
@@ -0,0 +1,7 @@
+[zopeskel]
+template = archetype
+
+[egg_info]
+tag_build = dev
+tag_svn_revision = true
+
Index: quintagroup.doublecolumndocument/tags/0.2/setup.py
===================================================================
--- quintagroup.doublecolumndocument/tags/0.2/setup.py	(revision 380)
+++ quintagroup.doublecolumndocument/tags/0.2/setup.py	(revision 380)
@@ -0,0 +1,72 @@
+# -*- coding: utf-8 -*-
+"""
+This module contains the tool of quintagroup.doublecolumndocument
+"""
+import os
+from setuptools import setup, find_packages
+
+def read(*rnames):
+    return open(os.path.join(os.path.dirname(__file__), *rnames)).read()
+
+version = '0.2'
+
+long_description = (
+    read('README.txt')
+    + '\n' +
+    'Change history\n'
+    '**************\n'
+    + '\n' +
+    read('CHANGES.txt')
+    + '\n' +
+    'Detailed Documentation\n'
+    '**********************\n'
+    + '\n' +
+    read('quintagroup', 'doublecolumndocument', 'README.txt')
+    + '\n' +
+    'Contributors\n'
+    '************\n'
+    + '\n' +
+    read('CONTRIBUTORS.txt')
+    + '\n' +
+    'Download\n'
+    '********\n'
+    )
+
+tests_require=['zope.testing']
+
+setup(name='quintagroup.doublecolumndocument',
+      version=version,
+      description="Extends Document with one more extra column",
+      long_description=long_description,
+      # Get more strings from http://www.python.org/pypi?%3Aaction=list_classifiers
+      classifiers=[
+        'Framework :: Plone',
+        'Intended Audience :: Developers',
+        'Topic :: Software Development :: Libraries :: Python Modules',
+        'License :: OSI Approved :: GNU General Public License (GPL)',
+        ],
+      keywords='plone content archetypes document doublecolumn',
+      author='(c) "Quintagroup"',
+      author_email='support@quintagroup.com',
+      url='http://quintagroup.com/services/plone-development/products/',
+      license='GPL',
+      packages=find_packages(exclude=['ez_setup']),
+      namespace_packages=['quintagroup', ],
+      include_package_data=True,
+      zip_safe=False,
+      install_requires=['setuptools',
+                        # -*- Extra requirements: -*-
+                        ],
+      tests_require=tests_require,
+      extras_require=dict(tests=tests_require),
+      test_suite = 'quintagroup.doublecolumndocument.tests.test_docs.test_suite',
+      entry_points="""
+      # -*- entry_points -*- 
+      [distutils.setup_keywords]
+      paster_plugins = setuptools.dist:assert_string_list
+
+      [egg_info.writers]
+      paster_plugins.txt = setuptools.command.egg_info:write_arg
+      """,
+      paster_plugins = ["ZopeSkel"],
+      )
